use std::fs;

fn main() {
    println!("Hello, world!");
    let xmlfile = fs::read_to_string("./csr.xml").unwrap();
    let doc = roxmltree::Document::parse_with_options(
        &xmlfile,
        roxmltree::ParsingOptions {
            allow_dtd: true,
            nodes_limit: u32::MAX,
        },
    )
    .unwrap();
    println!("Parsed: {:#?}", doc);
    println!("Root: {:?}", doc.root_element());
    {
        let root = doc.root_element();
        println!("tag: {:?}", root.tag_name());
    }
}
